{% extends 'base.html' %}

{% block title %}Expense{% endblock %}

{% block content %}
    
    <h1>Expense List</h1>
    <hr>

    <ul>
    {% for expense in expenses %}
        <li>Title: {{ expense.title }}, Amount: {{ expense.amount }}</li>
    {% endfor %}
    </ul>

    <h1>Add New Expense</h1>
    <form method="post">
        {% csrf_token %}
        <p>Title: <input type='text' name='title'></p>
        <p>Amount: <input type='number' name='amount'></p>
        <p><input type='submit' value="Add"></p>
    </form>


{% endblock %} 